Package org.pentaho.reporting.libraries.formula.lvalues

## Class ParsePosition

- java.lang.Object
- - org.pentaho.reporting.libraries.formula.lvalues.ParsePosition

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ParsePosition
      extends java.lang.Object
      implements java.io.Serializable

  Todo: Document me!
  Author:
    : Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParsePosition​(int startLine, int startColumn, int endLine, int endColumn)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getEndColumn()` |
    `int` | `getEndLine()` |
    `int` | `getStartColumn()` |
    `int` | `getStartLine()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsePosition

          public ParsePosition​(int startLine,
                               int startColumn,
                               int endLine,
                               int endColumn)

  - ### Method Detail

    - #### getEndColumn

          public int getEndColumn()

    - #### getEndLine

          public int getEndLine()

    - #### getStartColumn

          public int getStartColumn()

    - #### getStartLine

          public int getStartLine()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`